GCLOUD_COMPUTE_PROJECT-INFO_SET-USAGE-BUCKET(1)

NAME

gcloud compute project-info set-usage-bucket - set the usage reporting bucket for a project

SYNOPSIS

gcloud compute project-info set-usage-bucket [--prefix=PREFIX] [--bucket=BUCKET | --no-bucket] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute project-info set-usage-bucket is used to configure usage reporting for projects. Setting usage reporting will cause a log of usage per resource to be written to a specified Google Cloud Storage bucket daily. For example,
    $ gcloud compute project-info set-usage-bucket \
        --bucket gs://my-bucket
will cause logs of the form usage_gce_YYYYMMDD.csv to be written daily to the bucket my-bucket. To disable this feature, issue the command:
    $ gcloud compute project-info set-usage-bucket --no-bucket

FLAGS

    --prefix=PREFIX
        An optional prefix for the name of the usage report object stored in the bucket. If not supplied, then this defaults to usage. The report is stored as a CSV file named PREFIX_gce_YYYYMMDD.csv where YYYYMMDD is the day of the usage according to Pacific Time. The prefix should conform to Google Cloud Storage object naming conventions. This flag must not be provided when clearing the usage bucket.

At most one of these may be specified:

    --bucket=BUCKET
        The URI of a Google Cloud Storage bucket where the usage report object should be stored. The Google Service Account for performing usage reporting is granted write access to this bucket. The user running this command must be an owner of the bucket. To clear the usage bucket, use --no-bucket.

    --no-bucket
        Unsets the bucket. This disables usage report storage.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.